Index Page vequ_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void vequ_c ( ConstSpiceDouble   vin[3],
                     SpiceDouble        vout[3] )

#### Abstract

        Make one double precision 3-dimensional vector equal to
        another.

#### Required_Reading

        None.

#### Keywords

        ASSIGNMENT,  VECTOR

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       vin       I   3-dimensional double precision vector.
       vout      O   3-dimensional double precision vector set equal
                     to vin.

#### Detailed_Input

       vin      This may be ANY 3-dimensional double precision vector.

#### Detailed_Output

       vout    This 3-dimensional double precision vector is set equal
               to vin.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

        None.

#### Particulars

       vequ_c simply sets each component of vout in turn equal to vin.  No
       error checking is performed because none is needed.

#### Examples

       Let state be a state vector. The angular momentum vector is
       determined by the cross product of the position vector and the
       velocity vector.

        vequ_c ( state[0], R );
        vequ_c ( state[3], V );

        vcrss_c ( R, V, H );

#### Restrictions

        None.

#### Literature_References

        None.

#### Author_and_Institution

        W.M. Owen       (JPL)

#### Version

       -CSPICE Version 1.1.0, 22-OCT-1998 (NJB)

          Made input vector const.  Removed #include of SpiceZfc.h.

       -CSPICE Version 1.0.0, 08-FEB-1998   (EDW)

#### Index_Entries

       assign a 3-dimensional vector to another

#### Link to routine vequ_c source file vequ_c.c

    Wed Apr  5 17:54:46 2017